curl -X POST 'https://api.quickblox.com/blobs/10070416/upload/' \
-F 'key=20456a9676674f4ca950d963dfca630e00' \
-F 'file=@/Users/test/Downloads/33.jpg'
Empty body
{}
Content
Upload File
Upload a local file to the QuickBlox cloud storage. The request is a multipart HTTP request where one part is a JSON object and the other part is the content of the file itself.
POST
/
blobs
/
{blob_id}
/
upload.json
curl -X POST 'https://api.quickblox.com/blobs/10070416/upload/' \
-F 'key=20456a9676674f4ca950d963dfca630e00' \
-F 'file=@/Users/test/Downloads/33.jpg'
Empty body
{}
To upload a file, proceed as following:
- Create File. Make sure to create an entity for a file within the system - a blob, before uploading it.
- Upload File. An upload link is obtained from the response to the create file request. The link has expiration time so if it gets expired, you should obtain a new link using the create file request.
| Basic | Startup | Growth | HIPAA | Enterprise | |
|---|---|---|---|---|---|
| File size limit | 10 Mb | 25 Mb | 50Mb | 50Mb | Contact our sales team |
Path Parameters
integer
required
ID of the file/blob. Generated automatically by the server after file/blob creation.
Body Parameters
string
required
A binary file to be uploaded to the cloud storage. The file size is restricted by the membership plan.
See the File size limit section below.
string
required
File/blob identifier that should be taken from the response of the Create File request. This is the UID parameter.
Responses
201
201
A successful response
400
400
An error response
curl -X POST 'https://api.quickblox.com/blobs/10070416/upload/' \
-F 'key=20456a9676674f4ca950d963dfca630e00' \
-F 'file=@/Users/test/Downloads/33.jpg'
Empty body
{}
Was this page helpful?